Bug 108769 - Unable to build mod_perl from source rpm
Unable to build mod_perl from source rpm
Product: Red Hat Raw Hide
Classification: Retired
Component: mod_perl (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-01 09:37 EST by Russell Inman
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-07 21:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for mod_perl-1.99_09-10 SRPM (353 bytes, patch)
2003-11-01 09:46 EST, Russell Inman
no flags Details | Diff

  None (edit)
Description Russell Inman 2003-11-01 09:37:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Apache/Build.pm is missing a line which causes ld to be called
directly during the build of mod_perl.so.  The linker should be
invoked indirectly via gcc.  The fix is trivial and was first reported
on the mod_perl mailing list back in September, but hasn't made it
into the SRPM yet.

for the patch.

This is also an issue in the Enterprise 3 sources.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpm -i mod_perl-1.99_09-10.src.rpm
2.cd /usr/src/redhat
3.rpmbuild -v -bb SPECS/mod_perl.spec

Actual Results:  Build stops with message "ld: bad -rpath option"

Expected Results:  The build should have completed and produced the
binary RPM's

Additional info:
Comment 1 Russell Inman 2003-11-01 09:46:59 EST
Created attachment 95647 [details]
Patch for mod_perl-1.99_09-10 SRPM

Quick fix for the impatient.

1. Download and install the mod_perl SRPM.
2. Run 'rpmbuild -bp SPECS/mod_perl.spec'
3. Download the attached patch file to the BUILD directory.
4. Change to the BUILD directory and run 'patch -p0 < initmain.patch'.
5. Return to the original directory and run 'rpmbuild -bc --short-circuit
Comment 2 Kaj J. Niemi 2003-11-17 10:28:30 EST
You might want to take a look at bug #110249 and build 1.99_11 instead
of short-circuiting which is dirty :)

Comment 3 Bill Nottingham 2006-08-07 21:22:46 EDT
This got fixed I believe when 110249 got fixed.

Note You need to log in before you can comment on or make changes to this bug.